package #
Locale::Codes::LangVar_Codes;


use strict;
require 5.006;
use warnings;
use utf8;

our($VERSION);
$VERSION='3.30';

$Locale::Codes::Data{'langvar'}{'id'} = '0067';

$Locale::Codes::Data{'langvar'}{'id2names'} = {
   q(0001) => [
      q(Late Middle French (to 1606)),
      ],
   q(0002) => [
      q(Early Modern French),
      ],
   q(0003) => [
      q(Traditional German orthography),
      ],
   q(0004) => [
      q("Academic" ("governmental") variant of Belarusian as),
      q("Academic" ("governmental") variant of Belarusian as),
      ],
   q(0005) => [
      q(Standardized Resian orthography),
      ],
   q(0006) => [
      q(German orthography of 1996),
      ],
   q(0007) => [
      q(ALA-LC Romanization, 1997 edition),
      ],
   q(0008) => [
      q(Aluku dialect),
      q(Boni dialect),
      ],
   q(0009) => [
      q(Eastern Armenian),
      ],
   q(0010) => [
      q(Western Armenian),
      ],
   q(0011) => [
      q(Unified Turkic Latin Alphabet (Historical)),
      ],
   q(0012) => [
      q(The Balanka dialect of Anii),
      ],
   q(0013) => [
      q(The Barlavento dialect group of Kabuverdianu),
      ],
   q(0014) => [
      q(Buddhist Hybrid Sanskrit),
      ],
   q(0015) => [
      q(Biscayan dialect of Basque),
      ],
   q(0016) => [
      q(The San Giorgio dialect of Resian),
      q(The Bila dialect of Resian),
      ],
   q(0017) => [
      q(Slovene in Bohoric alphabet),
      ],
   q(0018) => [
      q(Boontling),
      ],
   q(0019) => [
      q(Slovene in Dajnko alphabet),
      ],
   q(0020) => [
      q(Serbian with Ekavian pronunciation),
      ],
   q(0021) => [
      q(Early Modern English (1500-1700)),
      ],
   q(0022) => [
      q(International Phonetic Alphabet),
      ],
   q(0023) => [
      q(Uralic Phonetic Alphabet),
      ],
   q(0024) => [
      q(X-SAMPA transcription),
      ],
   q(0025) => [
      q(Hepburn romanization),
      ],
   q(0026) => [
      q(Norwegian in Hognorsk (High Norwegian) orthography),
      ],
   q(0027) => [
      q(Serbian with Ijekavian pronunciation),
      ],
   q(0028) => [
      q(Epic Sanskrit),
      ],
   q(0029) => [
      q(Jauer dialect of Romansh),
      ],
   q(0030) => [
      q(Jyutping Cantonese Romanization),
      ],
   q(0031) => [
      q(Common Cornish orthography of Revived Cornish),
      ],
   q(0032) => [
      q(Standard Cornish orthography of Revived Cornish),
      q(Kernowek Standard),
      ],
   q(0033) => [
      q(Classical Sanskrit),
      ],
   q(0034) => [
      q(The Lipovaz dialect of Resian),
      q(The Lipovec dialect of Resian),
      ],
   q(0035) => [
      q(Post-1917 Russian orthography),
      ],
   q(0036) => [
      q(Slovene in Metelko alphabet),
      ],
   q(0037) => [
      q(Monotonic Greek),
      ],
   q(0038) => [
      q(Ndyuka dialect),
      q(Aukan dialect),
      ],
   q(0039) => [
      q(Natisone dialect),
      q(Nadiza dialect),
      ],
   q(0040) => [
      q(The Gniva dialect of Resian),
      q(The Njiva dialect of Resian),
      ],
   q(0041) => [
      q(Volapuk nulik),
      q(Volapuk perevidol),
      q(Volapuk nuladik),
      q(de Jong's Volapuk),
      q(New Volapuk),
      q(Revised Volapuk),
      q(Modern Volapuk),
      ],
   q(0042) => [
      q(The Oseacco dialect of Resian),
      q(The Osojane dialect of Resian),
      ],
   q(0043) => [
      q(Pamaka dialect),
      ],
   q(0044) => [
      q(Petrine orthography),
      ],
   q(0045) => [
      q(Pinyin romanization),
      ],
   q(0046) => [
      q(Polytonic Greek),
      ],
   q(0047) => [
      q(Puter idiom of Romansh),
      ],
   q(0048) => [
      q(Volapuk rigik),
      q(Schleyer's Volapuk),
      q(Original Volapuk),
      q(Classic Volapuk),
      ],
   q(0049) => [
      q(Resian),
      q(Resianic),
      q(Rezijan),
      ],
   q(0050) => [
      q(Rumantsch Grischun),
      ],
   q(0051) => [
      q(Scottish Standard English),
      ],
   q(0052) => [
      q(Scouse),
      ],
   q(0053) => [
      q(The Stolvizza dialect of Resian),
      q(The Solbica dialect of Resian),
      ],
   q(0054) => [
      q(The Sotavento dialect group of Kabuverdianu),
      ],
   q(0055) => [
      q(Surmiran idiom of Romansh),
      ],
   q(0056) => [
      q(Sursilvan idiom of Romansh),
      ],
   q(0057) => [
      q(Sutsilvan idiom of Romansh),
      ],
   q(0058) => [
      q(Belarusian in Taraskievica orthography),
      ],
   q(0059) => [
      q(Unified Cornish orthography of Revived Cornish),
      ],
   q(0060) => [
      q(Unified Cornish Revised orthography of Revived Cornish),
      ],
   q(0061) => [
      q(Ulster dialect of Scots),
      ],
   q(0062) => [
      q(Unifon phonetic alphabet),
      ],
   q(0063) => [
      q(Vedic Sanskrit),
      ],
   q(0064) => [
      q(Valencian),
      ],
   q(0065) => [
      q(Vallader idiom of Romansh),
      ],
   q(0066) => [
      q(Wade-Giles romanization),
      ],
};

$Locale::Codes::Data{'langvar'}{'alias2id'} = {
   q("academic" ("governmental") variant of belarusian as) => [
      q(0004),
      q(1),
      ],
   q(ala-lc romanization, 1997 edition) => [
      q(0007),
      q(0),
      ],
   q(aluku dialect) => [
      q(0008),
      q(0),
      ],
   q(aukan dialect) => [
      q(0038),
      q(1),
      ],
   q(belarusian in taraskievica orthography) => [
      q(0058),
      q(0),
      ],
   q(biscayan dialect of basque) => [
      q(0015),
      q(0),
      ],
   q(boni dialect) => [
      q(0008),
      q(1),
      ],
   q(boontling) => [
      q(0018),
      q(0),
      ],
   q(buddhist hybrid sanskrit) => [
      q(0014),
      q(0),
      ],
   q(classic volapuk) => [
      q(0048),
      q(3),
      ],
   q(classical sanskrit) => [
      q(0033),
      q(0),
      ],
   q(common cornish orthography of revived cornish) => [
      q(0031),
      q(0),
      ],
   q(de jong's volapuk) => [
      q(0041),
      q(3),
      ],
   q(early modern english (1500-1700)) => [
      q(0021),
      q(0),
      ],
   q(early modern french) => [
      q(0002),
      q(0),
      ],
   q(eastern armenian) => [
      q(0009),
      q(0),
      ],
   q(epic sanskrit) => [
      q(0028),
      q(0),
      ],
   q(german orthography of 1996) => [
      q(0006),
      q(0),
      ],
   q(hepburn romanization) => [
      q(0025),
      q(0),
      ],
   q(international phonetic alphabet) => [
      q(0022),
      q(0),
      ],
   q(jauer dialect of romansh) => [
      q(0029),
      q(0),
      ],
   q(jyutping cantonese romanization) => [
      q(0030),
      q(0),
      ],
   q(kernowek standard) => [
      q(0032),
      q(1),
      ],
   q(late middle french (to 1606)) => [
      q(0001),
      q(0),
      ],
   q(modern volapuk) => [
      q(0041),
      q(6),
      ],
   q(monotonic greek) => [
      q(0037),
      q(0),
      ],
   q(nadiza dialect) => [
      q(0039),
      q(1),
      ],
   q(natisone dialect) => [
      q(0039),
      q(0),
      ],
   q(ndyuka dialect) => [
      q(0038),
      q(0),
      ],
   q(new volapuk) => [
      q(0041),
      q(4),
      ],
   q(norwegian in hognorsk (high norwegian) orthography) => [
      q(0026),
      q(0),
      ],
   q(original volapuk) => [
      q(0048),
      q(2),
      ],
   q(pamaka dialect) => [
      q(0043),
      q(0),
      ],
   q(petrine orthography) => [
      q(0044),
      q(0),
      ],
   q(pinyin romanization) => [
      q(0045),
      q(0),
      ],
   q(polytonic greek) => [
      q(0046),
      q(0),
      ],
   q(post-1917 russian orthography) => [
      q(0035),
      q(0),
      ],
   q(puter idiom of romansh) => [
      q(0047),
      q(0),
      ],
   q(resian) => [
      q(0049),
      q(0),
      ],
   q(resianic) => [
      q(0049),
      q(1),
      ],
   q(revised volapuk) => [
      q(0041),
      q(5),
      ],
   q(rezijan) => [
      q(0049),
      q(2),
      ],
   q(rumantsch grischun) => [
      q(0050),
      q(0),
      ],
   q(schleyer's volapuk) => [
      q(0048),
      q(1),
      ],
   q(scottish standard english) => [
      q(0051),
      q(0),
      ],
   q(scouse) => [
      q(0052),
      q(0),
      ],
   q(serbian with ekavian pronunciation) => [
      q(0020),
      q(0),
      ],
   q(serbian with ijekavian pronunciation) => [
      q(0027),
      q(0),
      ],
   q(slovene in bohoric alphabet) => [
      q(0017),
      q(0),
      ],
   q(slovene in dajnko alphabet) => [
      q(0019),
      q(0),
      ],
   q(slovene in metelko alphabet) => [
      q(0036),
      q(0),
      ],
   q(standard cornish orthography of revived cornish) => [
      q(0032),
      q(0),
      ],
   q(standardized resian orthography) => [
      q(0005),
      q(0),
      ],
   q(surmiran idiom of romansh) => [
      q(0055),
      q(0),
      ],
   q(sursilvan idiom of romansh) => [
      q(0056),
      q(0),
      ],
   q(sutsilvan idiom of romansh) => [
      q(0057),
      q(0),
      ],
   q(the balanka dialect of anii) => [
      q(0012),
      q(0),
      ],
   q(the barlavento dialect group of kabuverdianu) => [
      q(0013),
      q(0),
      ],
   q(the bila dialect of resian) => [
      q(0016),
      q(1),
      ],
   q(the gniva dialect of resian) => [
      q(0040),
      q(0),
      ],
   q(the lipovaz dialect of resian) => [
      q(0034),
      q(0),
      ],
   q(the lipovec dialect of resian) => [
      q(0034),
      q(1),
      ],
   q(the njiva dialect of resian) => [
      q(0040),
      q(1),
      ],
   q(the oseacco dialect of resian) => [
      q(0042),
      q(0),
      ],
   q(the osojane dialect of resian) => [
      q(0042),
      q(1),
      ],
   q(the san giorgio dialect of resian) => [
      q(0016),
      q(0),
      ],
   q(the solbica dialect of resian) => [
      q(0053),
      q(1),
      ],
   q(the sotavento dialect group of kabuverdianu) => [
      q(0054),
      q(0),
      ],
   q(the stolvizza dialect of resian) => [
      q(0053),
      q(0),
      ],
   q(traditional german orthography) => [
      q(0003),
      q(0),
      ],
   q(ulster dialect of scots) => [
      q(0061),
      q(0),
      ],
   q(unified cornish orthography of revived cornish) => [
      q(0059),
      q(0),
      ],
   q(unified cornish revised orthography of revived cornish) => [
      q(0060),
      q(0),
      ],
   q(unified turkic latin alphabet (historical)) => [
      q(0011),
      q(0),
      ],
   q(unifon phonetic alphabet) => [
      q(0062),
      q(0),
      ],
   q(uralic phonetic alphabet) => [
      q(0023),
      q(0),
      ],
   q(valencian) => [
      q(0064),
      q(0),
      ],
   q(vallader idiom of romansh) => [
      q(0065),
      q(0),
      ],
   q(vedic sanskrit) => [
      q(0063),
      q(0),
      ],
   q(volapuk nuladik) => [
      q(0041),
      q(2),
      ],
   q(volapuk nulik) => [
      q(0041),
      q(0),
      ],
   q(volapuk perevidol) => [
      q(0041),
      q(1),
      ],
   q(volapuk rigik) => [
      q(0048),
      q(0),
      ],
   q(wade-giles romanization) => [
      q(0066),
      q(0),
      ],
   q(western armenian) => [
      q(0010),
      q(0),
      ],
   q(x-sampa transcription) => [
      q(0024),
      q(0),
      ],
};

$Locale::Codes::Data{'langvar'}{'code2id'} = {
   q(alpha) => {
      q(1606nict) => [
         q(0001),
         q(0),
         ],
      q(1694acad) => [
         q(0002),
         q(0),
         ],
      q(1901) => [
         q(0003),
         q(0),
         ],
      q(1959acad) => [
         q(0004),
         q(0),
         ],
      q(1994) => [
         q(0005),
         q(0),
         ],
      q(1996) => [
         q(0006),
         q(0),
         ],
      q(alalc97) => [
         q(0007),
         q(0),
         ],
      q(aluku) => [
         q(0008),
         q(0),
         ],
      q(arevela) => [
         q(0009),
         q(0),
         ],
      q(arevmda) => [
         q(0010),
         q(0),
         ],
      q(baku1926) => [
         q(0011),
         q(0),
         ],
      q(balanka) => [
         q(0012),
         q(0),
         ],
      q(barla) => [
         q(0013),
         q(0),
         ],
      q(bauddha) => [
         q(0014),
         q(0),
         ],
      q(biscayan) => [
         q(0015),
         q(0),
         ],
      q(biske) => [
         q(0016),
         q(0),
         ],
      q(bohoric) => [
         q(0017),
         q(0),
         ],
      q(boont) => [
         q(0018),
         q(0),
         ],
      q(dajnko) => [
         q(0019),
         q(0),
         ],
      q(ekavsk) => [
         q(0020),
         q(0),
         ],
      q(emodeng) => [
         q(0021),
         q(0),
         ],
      q(fonipa) => [
         q(0022),
         q(0),
         ],
      q(fonupa) => [
         q(0023),
         q(0),
         ],
      q(fonxsamp) => [
         q(0024),
         q(0),
         ],
      q(hepburn) => [
         q(0025),
         q(0),
         ],
      q(hognorsk) => [
         q(0026),
         q(0),
         ],
      q(ijekavsk) => [
         q(0027),
         q(0),
         ],
      q(itihasa) => [
         q(0028),
         q(0),
         ],
      q(jauer) => [
         q(0029),
         q(0),
         ],
      q(jyutping) => [
         q(0030),
         q(0),
         ],
      q(kkcor) => [
         q(0031),
         q(0),
         ],
      q(kscor) => [
         q(0032),
         q(0),
         ],
      q(laukika) => [
         q(0033),
         q(0),
         ],
      q(lipaw) => [
         q(0034),
         q(0),
         ],
      q(luna1918) => [
         q(0035),
         q(0),
         ],
      q(metelko) => [
         q(0036),
         q(0),
         ],
      q(monoton) => [
         q(0037),
         q(0),
         ],
      q(ndyuka) => [
         q(0038),
         q(0),
         ],
      q(nedis) => [
         q(0039),
         q(0),
         ],
      q(njiva) => [
         q(0040),
         q(0),
         ],
      q(nulik) => [
         q(0041),
         q(0),
         ],
      q(osojs) => [
         q(0042),
         q(0),
         ],
      q(pamaka) => [
         q(0043),
         q(0),
         ],
      q(petr1708) => [
         q(0044),
         q(0),
         ],
      q(pinyin) => [
         q(0045),
         q(0),
         ],
      q(polyton) => [
         q(0046),
         q(0),
         ],
      q(puter) => [
         q(0047),
         q(0),
         ],
      q(rigik) => [
         q(0048),
         q(0),
         ],
      q(rozaj) => [
         q(0049),
         q(0),
         ],
      q(rumgr) => [
         q(0050),
         q(0),
         ],
      q(scotland) => [
         q(0051),
         q(0),
         ],
      q(scouse) => [
         q(0052),
         q(0),
         ],
      q(solba) => [
         q(0053),
         q(0),
         ],
      q(sotav) => [
         q(0054),
         q(0),
         ],
      q(surmiran) => [
         q(0055),
         q(0),
         ],
      q(sursilv) => [
         q(0056),
         q(0),
         ],
      q(sutsilv) => [
         q(0057),
         q(0),
         ],
      q(tarask) => [
         q(0058),
         q(0),
         ],
      q(uccor) => [
         q(0059),
         q(0),
         ],
      q(ucrcor) => [
         q(0060),
         q(0),
         ],
      q(ulster) => [
         q(0061),
         q(0),
         ],
      q(unifon) => [
         q(0062),
         q(0),
         ],
      q(vaidika) => [
         q(0063),
         q(0),
         ],
      q(valencia) => [
         q(0064),
         q(0),
         ],
      q(vallader) => [
         q(0065),
         q(0),
         ],
      q(wadegile) => [
         q(0066),
         q(0),
         ],
      },
};

$Locale::Codes::Data{'langvar'}{'id2code'} = {
   q(alpha) => {
      q(0001) => q(1606nict),
      q(0002) => q(1694acad),
      q(0003) => q(1901),
      q(0004) => q(1959acad),
      q(0005) => q(1994),
      q(0006) => q(1996),
      q(0007) => q(alalc97),
      q(0008) => q(aluku),
      q(0009) => q(arevela),
      q(0010) => q(arevmda),
      q(0011) => q(baku1926),
      q(0012) => q(balanka),
      q(0013) => q(barla),
      q(0014) => q(bauddha),
      q(0015) => q(biscayan),
      q(0016) => q(biske),
      q(0017) => q(bohoric),
      q(0018) => q(boont),
      q(0019) => q(dajnko),
      q(0020) => q(ekavsk),
      q(0021) => q(emodeng),
      q(0022) => q(fonipa),
      q(0023) => q(fonupa),
      q(0024) => q(fonxsamp),
      q(0025) => q(hepburn),
      q(0026) => q(hognorsk),
      q(0027) => q(ijekavsk),
      q(0028) => q(itihasa),
      q(0029) => q(jauer),
      q(0030) => q(jyutping),
      q(0031) => q(kkcor),
      q(0032) => q(kscor),
      q(0033) => q(laukika),
      q(0034) => q(lipaw),
      q(0035) => q(luna1918),
      q(0036) => q(metelko),
      q(0037) => q(monoton),
      q(0038) => q(ndyuka),
      q(0039) => q(nedis),
      q(0040) => q(njiva),
      q(0041) => q(nulik),
      q(0042) => q(osojs),
      q(0043) => q(pamaka),
      q(0044) => q(petr1708),
      q(0045) => q(pinyin),
      q(0046) => q(polyton),
      q(0047) => q(puter),
      q(0048) => q(rigik),
      q(0049) => q(rozaj),
      q(0050) => q(rumgr),
      q(0051) => q(scotland),
      q(0052) => q(scouse),
      q(0053) => q(solba),
      q(0054) => q(sotav),
      q(0055) => q(surmiran),
      q(0056) => q(sursilv),
      q(0057) => q(sutsilv),
      q(0058) => q(tarask),
      q(0059) => q(uccor),
      q(0060) => q(ucrcor),
      q(0061) => q(ulster),
      q(0062) => q(unifon),
      q(0063) => q(vaidika),
      q(0064) => q(valencia),
      q(0065) => q(vallader),
      q(0066) => q(wadegile),
      },
};

1;
